No idea what to do

Discussion in 'Wii - Emulation and Homebrew' started by bobfacemoo, Nov 13, 2016.

  1. bobfacemoo
    OP

    bobfacemoo GBAtemp Fan

    Member
    335
    61
    Feb 21, 2016
    I got a Wii Console today, 4.3E. It has Homebrew Channel 1.1.0 running from IOS61. It has Neogamma *some version*. I tried loading USB backups from WBFS and using USB Loader GX got a "could not initialize USB" on both USB slots. No idea where to start. I want it perfectly set up and updated software since I will be letting my niece use it to play Wii Games. Any help will be appreciated because I really don't even know where to start (I've softmodded like 3 wii's before but it's been at least 4 years because now we have a Wii U).
     
  2. migles

    migles Mei the sexiest bae

    Member
    GBAtemp Patron
    migles is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    6,833
    4,573
    Sep 19, 2013
    Saint Kitts and Nevis
    my dad works for nintendo.
    ypu should had homebrew 1.1.2

    i recomend you to use modmii and hack it again, that guarantees that you get the default and most up to date setup and IMO is the easiest way. also installs prilloader and gets you through the step of a nand backup in case the console bricks...
    however i am not sure if modmii is still working, since some links had been getting down
     
    Last edited by migles, Nov 13, 2016
  3. bobfacemoo
    OP

    bobfacemoo GBAtemp Fan

    Member
    335
    61
    Feb 21, 2016
    Could you provide links to what I need?
     
  4. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,079
    8,586
    Oct 27, 2002
    France
    Engine room, learning
    HBC 1.1.0 is fine on Wii.
    Newer version contains mostly fixes for vWii. (it doesn't even trigger an automatic update on Wii if you are still using 1.1.0).

    if your HBC is using IOS61, and you are on 4.3E, then you should already have IOS58 installed.
    Just re-install HBC.
    download hackmii installer, and launch it from HBC (don't put the boot.elf on the root of your SD card, but on apps/hackmii_installer/boot.dol (or boot.elf if there's no dol provided)
    select "install HBC" and it will replace it. It should tell you that it will use IOS58 before installing.

    After HBC is updated and use IOS58, you can install a patched IOS (d2x cIOS).
    d2x cIOS full pack for Wii

    extract to a folder in your apps (ex: sd:/apps/d2x_installer/)
    run the installer from HBC and install this :

    common setup :
    slot249 : d2x v10 beta (r52 or r53), base 56, version 21008
    slot250 : d2x v10 beta (r52 or r53), base 57, version 21008
    r52 = better compatibility
    r53= users following guide blindly and having issues later.

    My own recommended setup :
    slot249 : d2x v8 final, base 57, version 65535
    only one cIOS is needed, v8 (not v10, latest is not always better), in slot 249 with base 57, with version 65535 (so she can play retail discs without update message) and you will have the best compatibility and no need to mess the settings later, that's a lot easier if your niece doesn't understand hacking ! just make it easier for her. ONE setup, NO worries.


    that's all !
    no modmii needed ;)
    but if you prefer modmii, it will install different cIOS and your niece will have to change the setup for few games. I'd recommend going with my method : update HBC, install 1 cIOS.
    remove both hackmii and d2x installer after you are done, so your niece will not mess with these programs.


    After that, be sure USBLoaderGX is installed as forwarder and not as a full channel.
    you can follow this guide to replace it : https://gbatemp.net/posts/6478222
     
    bobfacemoo and migles like this.
  5. migles

    migles Mei the sexiest bae

    Member
    GBAtemp Patron
    migles is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    6,833
    4,573
    Sep 19, 2013
    Saint Kitts and Nevis
    my dad works for nintendo.
    https://gbatemp.net/threads/modmii-for-windows-official-support-topic.207126/
    this is a program that is a guide, it will ask you questions which you answer and get the SD card ready for you
    after copying the files it will generate an HTML file in the sd card that you follow to do the setup on the wii
    i suggest to backup your sd card, (maybe format it) so it's clean and there are no confusion with the files...

    if the program fails to download some files, i still have it installed on my computer i can most likely give you the missing files

    PS: use the TEXT version (the one in DOS) and answer it like it's the first time you are hacking your wii (to make things easier)

    — Posts automatically merged - Please don't double post! —

    can you tell me about this what games are affected and why? IIRC i got 2 cIOS on both 249 and 250 slots
     
  6. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,079
    8,586
    Oct 27, 2002
    France
    Engine room, learning
    Call of duty will need IOS based on IOS 57 (so users have to change the slot to 250 instead of the default 249), same for most music games (sing it, just dance, etc.)
     
  7. bobfacemoo
    OP

    bobfacemoo GBAtemp Fan

    Member
    335
    61
    Feb 21, 2016
    Worked like a charm, thank you, games are now booting from USB with the Loader forwarder installed ^-^
    Helpful as always!

    — Posts automatically merged - Please don't double post! —

    Wait, so should I install 249 with base of 57 instead of 250 with base of 57? My niece loves to play Just Dance 4. It's be awkward to keep switching between them. She is 11 and doesn't understand the world of hacking
     
  8. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,079
    8,586
    Oct 27, 2002
    France
    Engine room, learning
    yes, install the base 57 in slot 249, with version 65535, so your niece will not have to care about the slot, nor any disc played from system menu replacing the cIOS.